import { Component } from '@angular/core';
import { NgbActiveModal } from '@ng-bootstrap/ng-bootstrap';

import { ISavedSearches } from '../saved-searches.model';
import { SavedSearchesService } from '../service/saved-searches.service';

@Component({
  templateUrl: './saved-searches-delete-dialog.component.html',
})
export class SavedSearchesDeleteDialogComponent {
  savedSearches?: ISavedSearches;

  constructor(protected savedSearchesService: SavedSearchesService, protected activeModal: NgbActiveModal) {}

  cancel(): void {
    this.activeModal.dismiss();
  }

  confirmDelete(id: number): void {
    this.savedSearchesService.delete(id).subscribe(() => {
      this.activeModal.close('deleted');
    });
  }
}
